Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.dba.sqlserver
Class SQLServerProcedureAction

    java.lang.Object
      org.apache.cayenne.access.jdbc.BaseSQLAction
          org.apache.cayenne.access.jdbc.ProcedureAction
              org.apache.cayenne.dba.sqlserver.SQLServerProcedureAction

All Implemented Interfaces:
  SQLAction

    public class SQLServerProcedureAction

extends ProcedureAction

ProcedureAction for SQLServer MS JDBC driver. Customizes OUT parameter processing - it has to be done AFTER the ResultSets are read (note that jTDS driver works fine with normal ProcedureAction).

See JIRA CAY-251 for details.

Since:
  1.2

Field Summary

Fields inherited from class org.apache.cayenne.access.jdbc.ProcedureAction
`processedResultSets, query`

Fields inherited from class org.apache.cayenne.access.jdbc.BaseSQLAction
`adapter, entityResolver`

Constructor Summary
`SQLServerProcedureAction(ProcedureQuery query, JdbcAdapter adapter, EntityResolver entityResolver)`

Method Summary
`void` | `performAction(java.sql.Connection connection, OperationObserver observer)` Executes a query using a strategy defined by the implementation.

Methods inherited from class org.apache.cayenne.access.jdbc.ProcedureAction
`createTranslator, describeResultSet, getProcedure, readProcedureOutParameters`

Methods inherited from class org.apache.cayenne.access.jdbc.BaseSQLAction
`getAdapter, getEntityResolver, getInMemoryOffset, readResultSet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLServerProcedureAction

    public SQLServerProcedureAction(ProcedureQuery query,
                                    JdbcAdapter adapter,
                                    EntityResolver entityResolver)

Method Detail

### performAction

    public void performAction(java.sql.Connection connection,
                              OperationObserver observer)
                       throws java.sql.SQLException,
                              java.lang.Exception

  Description copied from interface: `SQLAction`
  Executes a query using a strategy defined by the implementation.

  Specified by:
    `performAction` in interface `SQLAction`
  Overrides:
    `performAction` in class `ProcedureAction`
  Throws:
    `java.sql.SQLException`
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Apache Cayenne. All Rights Reserved.